#[repr(C)]
#[derive(Debug, Clone, PartialEq)]
pub struct VkAabbPositionsKHR {
    pub minX: f32,
    pub minY: f32,
    pub minZ: f32,
    pub maxX: f32,
    pub maxY: f32,
    pub maxZ: f32,
}

impl VkAabbPositionsKHR {
    pub fn new(min: [f32; 3], max: [f32; 3]) -> Self {
        VkAabbPositionsKHR {
            minX: min[0],
            minY: min[1],
            minZ: min[2],
            maxX: max[0],
            maxY: max[1],
            maxZ: max[2],
        }
    }
}

impl Default for VkAabbPositionsKHR {
    fn default() -> Self {
        VkAabbPositionsKHR {
            minX: 0.0,
            minY: 0.0,
            minZ: 0.0,
            maxX: 0.0,
            maxY: 0.0,
            maxZ: 0.0,
        }
    }
}
